Page MenuHomePhabricator

Prepare for Puppet 4
Closed, ResolvedPublic

Description

  • Support directory environments in our Puppet infrastructure and add an environment that uses Puppet's future parser (task T169485)
  • Switch at least 3 node groups to the future parser environment
  • Force both current and future parser for every test in the puppet-compiler (task T169546)
  • Integrate puppet-compiler with the Continuous Integration infrastructure (task T166066) (stretch) [POSTPONED]
  • Speed up CI for operations/puppet (task T166888) and add future parser validation

This is a Q1 FY17-18 goal for the Technical Operations team at the WMF.

Event Timeline

Joe created this task.Jul 3 2017, 3:57 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 3 2017, 3:57 PM
Joe updated the task description. (Show Details)Jul 3 2017, 3:59 PM
Paladox added a subscriber: Paladox.Jul 3 2017, 3:59 PM
bd808 added a subscriber: bd808.Jul 3 2017, 4:25 PM
hashar added a subscriber: hashar.Jul 3 2017, 8:17 PM
MoritzMuehlenhoff triaged this task as Normal priority.Jul 25 2017, 12:34 PM
Volans closed this task as Resolved.Jan 16 2018, 3:34 PM
Volans updated the task description. (Show Details)